Bug 1015330 - warning: %posttrans(abrt-addon-ccpp-2.1.7-1.fc19.x86_64) scriptlet failed, exit status 1 Non-fatal POSTTRANS scriptlet failure in rpm package abrt-addon-ccpp-2.1.7-1.fc19.x86_64
warning: %posttrans(abrt-addon-ccpp-2.1.7-1.fc19.x86_64) scriptlet failed, ex...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 19:26 EDT by Shawn Q
Modified: 2016-11-30 19:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:29:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Q 2013-10-03 19:26:35 EDT
Description of problem:

Using yum update, and updating from abrt.x86_64 0:2.1.6-3.fc19 to abrt.x86_64 0:2.1.7-1.fc19, a %posttrans scriptlet failed before verification processes.

Version-Release number of selected component (if applicable):

abrt.x86_64 0:2.1.6-3.fc19
abrt.x86_64 0:2.1.7-1.fc19

How reproducible:

yum update

Steps to Reproduce:
1. yum update
2. watch as all packages update
3. see aforementioned warning before verification processes

Actual results:

warning: %posttrans(abrt-addon-ccpp-2.1.7-1.fc19.x86_64) scriptlet failed, exit status 1
Non-fatal POSTTRANS scriptlet failure in rpm package abrt-addon-ccpp-2.1.7-1.fc19.x86_64

Expected results:

No errors

Additional info:

During yum update, the following related updates were applied:

Installing:
 abrt-addon-pstoreoops                                                 x86_64                                2.1.7-1.fc19                                                        updates                                                84 k
     replacing  abrt-addon-uefioops.x86_64 2.1.6-3.fc19

 abrt                                                                  x86_64                                2.1.7-1.fc19                                                        updates                                               360 k
 abrt-addon-ccpp                                                       x86_64                                2.1.7-1.fc19                                                        updates                                               181 k
 abrt-addon-kerneloops                                                 x86_64                                2.1.7-1.fc19                                                        updates                                                91 k
 abrt-addon-python                                                     x86_64                                2.1.7-1.fc19                                                        updates                                                88 k
 abrt-addon-vmcore                                                     x86_64                                2.1.7-1.fc19                                                        updates                                                89 k
 abrt-addon-xorg                                                       x86_64                                2.1.7-1.fc19                                                        updates                                                84 k
 abrt-dbus                                                             x86_64                                2.1.7-1.fc19                                                        updates                                                95 k
 abrt-gui                                                              x86_64                                2.1.7-1.fc19                                                        updates                                               176 k
 abrt-libs                                                             x86_64                                2.1.7-1.fc19                                                        updates                                                92 k
 abrt-plugin-bodhi                                                     x86_64                                2.1.7-1.fc19                                                        updates                                                83 k
 abrt-retrace-client                                                   x86_64                                2.1.7-1.fc19                                                        updates                                               108 k
Comment 1 Jakub Filak 2013-10-04 05:03:03 EDT
Thank you for the report. 

I've already seen that warning but I'm sure what caused the failure.
Could you please run the scriptlet from command line? You can download it at http://jfilak.fedorapeople.org/media/abrt-addon-ccpp-posttrans.sh
Comment 2 Shawn Q 2013-10-04 14:38:43 EDT
Sure thing, output:

# . ./abrt-addon-ccpp-posttrans.sh

+++ tr -d ' '
+++ cut -d= -f2
+++ grep --color=auto DumpLocation /etc/abrt/abrt.conf
++ abrtdir=/var/tmp/abrt
++ test -d /var/tmp/abrt
+++ find /var/tmp/abrt -maxdepth 1 -type d
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/analyzer
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-08-14-10:56:04-1810/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/ccpp-2013-08-14-10:56:04-1810/analyzer
++ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-08-14-10:56:04-1810 --
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-07-02-11:53:25-2171/analyzer
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/Python-2013-10-02-12:46:30-19710/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/Python-2013-10-02-12:46:30-19710/analyzer
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-06-26-10:29:36-25161/analyzer
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/Python-2013-09-19-14:45:23-2583/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/Python-2013-09-19-14:45:23-2583/analyzer
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-10-04-13:22:54-1961/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/ccpp-2013-10-04-13:22:54-1961/analyzer
++ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-10-04-13:22:54-1961 --
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-07-08-12:12:06-17342/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/ccpp-2013-07-08-12:12:06-17342/analyzer
++ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-07-08-12:12:06-17342 --
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-06-07-17:45:20-8886/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/ccpp-2013-06-07-17:45:20-8886/analyzer
++ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-06-07-17:45:20-8886 --
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-09-09-12:51:13-22058/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/ccpp-2013-09-09-12:51:13-22058/analyzer
++ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-09-09-12:51:13-22058 --
++ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
++ test -f /var/tmp/abrt/ccpp-2013-07-11-10:40:40-30622/analyzer
++ grep --color=auto -q '^CCpp$' /var/tmp/abrt/ccpp-2013-07-11-10:40:40-30622/analyzer
++ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-07-11-10:40:40-30622 --
++ set +x
Comment 3 Jakub Filak 2013-10-07 12:11:43 EDT
Thank you for the quick response. Unfortunately, I can't see anything suspicious in the output. I am going try to reproduce it in a virtual machine.
Comment 4 Ray Mikkelson 2013-10-31 13:53:59 EDT
I've seen the same problem on 2 of my 18 machines running F18.  But, here's what I think is a big hint...  I also got this failure (immediately after the abrt one), so I think that they may be related:

depmod: WARNING: /lib/modules/3.11.4-101.fc18.x86_64/kernel/drivers/char/crash.ko needs unknown symbol page_is_ram


Here's that section of my yum.log:

warning: %posttrans(abrt-addon-ccpp-2.1.7-1.fc18.x86_64) scriptlet failed, exit status 1
Non-fatal POSTTRANS scriptlet failure in rpm package abrt-addon-ccpp-2.1.7-1.fc18.x86_64
depmod: WARNING: /lib/modules/3.11.4-101.fc18.x86_64/kernel/drivers/char/crash.ko needs unknown symbol page_is_ram


I also ran the script that you asked Shawn to run (on F18).  Here's my output:


++ grep DumpLocation /etc/abrt/abrt.conf
++ cut -d= -f2
++ tr -d ' '
+ abrtdir=/var/tmp/abrt
+ test -d /var/tmp/abrt
++ find /var/tmp/abrt -maxdepth 1 -type d
+ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
+ test -f /var/tmp/abrt/analyzer
+ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
+ test -f /var/tmp/abrt/Python-2013-10-28-17:35:28-28760/analyzer
+ grep -q '^CCpp$' /var/tmp/abrt/Python-2013-10-28-17:35:28-28760/analyzer
+ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
+ test -f /var/tmp/abrt/ccpp-2013-10-01-09:59:48-810/analyzer
+ grep -q '^CCpp$' /var/tmp/abrt/ccpp-2013-10-01-09:59:48-810/analyzer
+ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-10-01-09:59:48-810 --
+ for DD in '`find "$abrtdir" -maxdepth 1 -type d`'
+ test -f /var/tmp/abrt/ccpp-2013-09-04-09:57:10-19396/analyzer
+ grep -q '^CCpp$' /var/tmp/abrt/ccpp-2013-09-04-09:57:10-19396/analyzer
+ /usr/bin/abrt-action-generate-core-backtrace -d /var/tmp/abrt/ccpp-2013-09-04-09:57:10-19396 --
+ set +x
Comment 5 Ray Mikkelson 2013-10-31 13:56:48 EDT
oops, sorry, the log output wasn't from /var/log/yum.log file, it was from a log I created by redirecting stdout and stderr from the yum command to a log file.  Sorry for any confusion.
Comment 6 Jakub Filak 2013-11-01 05:22:57 EDT
(In reply to Ray Mikkelson from comment #4)
Thank you for the logs! It looks like that the script fails only when processing the abrt problems for the first time when started from rpm scriptlet. The second run of the script never fails. I have enough evidence to find a good reproducer.
Comment 7 Ray Mikkelson 2013-11-01 11:41:30 EDT
Just so that you know, doing a: "yum reinstall abrt-addon-ccpp" still yields the same error:

Running Transaction
  Installing : abrt-addon-ccpp-2.1.7-1.fc18.x86_64                          1/1 
warning: %posttrans(abrt-addon-ccpp-2.1.7-1.fc18.x86_64) scriptlet failed, exit status 1
Non-fatal POSTTRANS scriptlet failure in rpm package abrt-addon-ccpp-2.1.7-1.fc18.x86_64

Interesting that only 2 of 18 machines (on my network) have this error.
Comment 8 Fedora End Of Life 2015-01-09 15:06:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 12:29:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.